table.events {eha} | R Documentation

## Calculating failure times, risk set sizes and No. of events in each risk set

### Description

From input data of the 'interval' type, with an event indicator, summary statistics for each risk set (at an event time point) are calculated.

### Usage

    table.events(enter = rep(0, length(exit)), exit, event, strict = TRUE)

### Arguments

`enter` | Left truncation time point.
`exit` | End time point, an event or a right censoring.
`event` | Event indicator.
`strict` | If TRUE, then tabulating is not done after a time point where all individuals in a riskset failed.

### Value

A list with components

`times` | Ordered distinct event time points.
`events` | Number of events at each event time point.
`riskset.sizes` | Number at risk at each event time point.

### Author(s)

Göran Broström

### See Also

`risksets`

### Examples

    exit = c(1,2,3,4,5)
    event = c(1,1,0,1,1)
    table.events(exit = exit, event = event)

[Package eha version 2.6.0 Index]